# Etiquette and conduct in BioJulia

As you interact with other members of the BioJulia group, or make contributions
you may have revisions and suggestions on your pull request from BioJulia members
or others which they want to be implemented before they will merge your pull request.

You may also have disagreements with people on the forums or chats maintained by
BioJulia.

In order to keep BioJulia a civil and enjoyable place, where technical disagreements
and issues can be discussed and resolved in a mature and constructive way, we
outline three principles of etiquette we expect members and contributors to abide by.

Anybody violating these principles in order to upset any member or contributor
may be flagged to the BioJulia admins who will decide on an appropriate
course of action. This includes locking conversations for cool-off periods, or
even bans of individuals.

This statement on etiquette is not an exhaustive list of things that you can or can’t do.
Rather, it is a statement of our spirit and attitude towards interacting with each other.

This statement applies in all spaces managed by the BioJulia organisation.
This includes any gitter, mailing lists, issue trackers, repositories, or any
other forums used by BioJulia for communication (such as Skype, Google Hangouts, etc).
It also applies in real-world events and spaces organised by BioJulia.

## The principles of etiquette

### 1. Be welcoming, friendly and patient.

Be welcoming. We strive to welcome and support any individual participating in
BioJulia activities to any extent (from developing code, to support seeking
users). We have even been known to have a few members on our Gitter who are not
Biologists, but they enjoy the forum, like what we do, and stick around for the
programming chat. All are welcome (yes including _you_! :smile:).

### 2. Be considerate.

Your work will be used by other people, and you in turn will depend on the work
of others. From any code you make, to any support questions you ask or answer!
Any decision you take will affect users and colleagues, and you should take
those consequences into account when making decisions.

Remember that we're a world-wide community, so you might not be communicating
in someone else's primary language.

### 3. Be respectful.

Not all of us will agree all the time, but disagreement is no excuse for poor
behaviour and poor manners. We might all experience some frustration now and then,
but we cannot allow that frustration to turn into a personal attack.
It’s important to remember that a community where people feel uncomfortable or
threatened is not a productive or fun community.
Members of the BioJulia community should be respectful when dealing with other
members as well as with people outside the BioJulia community.

Please do not insult or put down other participants.
Harassment and other exclusionary behaviour is not acceptable.
This includes, but is not limited to:
   - Violent threats or language directed against another person.
   - Prejudiced, bigoted, or intolerant, jokes and language.
   - Posting sexually explicit or violent material.
   - Posting (or threatening to post) other people's personally identifying
     information ("doxing").
   - Personal insults, especially those using racist or sexist terms.
   - Unwelcome sexual attention.
   - Advocating for, or encouraging, any of the above behaviour.
   - Repeated harassment of others. In general, if someone asks you to stop,
     then stop.

When we disagree, try to understand why.
Disagreements, both social and technical, happen all the time and this
community is unlikely to be any exception!
It is important that we resolve disagreements and differing views constructively.
Different people have different perspectives on issues.
Being unable to understand why someone holds a viewpoint doesn’t mean that
they’re wrong.
Don’t forget that it is human to err and blaming each other doesn’t get us
anywhere.
Instead, focus on helping to resolve issues and learning from mistakes.

Assume the person you have a disagreement with really does want the best for
BioJulia, just as you do.
Therefore, if you are ever unsure what the meaning or tone of a comment may be,
in the first instance, assume your fellow BioJulia member is acting in good
faith, this may well be a mistake in communication
(with the scientific community as diverse as it is, such mis-steps are likely!).
If you are comfortable doing so, ask them to clarify what they mean or to rephrase
their point. If you don't feel comfortable doing this, or if it is clear the
behaviour is hostile and not acceptable, please report it (see next section).

## Is someone behaving inappropriately?

If you are affected by the behaviour of a member or contributor of BioJulia,
we ask that you report it by contacting the
[BioJulia Admin Team](https://github.com/orgs/BioJulia/teams/admin/members)
collectively, by emailing [admin@biojulia.net](admin@biojulia.net).
They will get back to you and begin to resolve the situation.
In some cases we may determine that a public statement will need to be made.
If that's the case, the identities of all involved will remain
confidential unless those individuals instruct us otherwise.

Ensure to include in your email:

- Your contact info (so we can get in touch with you if we need to follow up).

- Names (real, nicknames, or pseudonyms) of any individuals involved.
  If there were other witnesses besides you, please try to include them as well.

- When and where the incident occurred. Please be as specific as possible.

- Your account of what occurred. If there is a publicly available record
  (e.g. a mailing list archive or a public IRC logger) please include a link.

- Any extra context you believe existed for the incident.

- If you believe this incident is ongoing.

- Any other information you believe we should have.s
